Source: libtry-tiny-smartcatch-perl
Section: perl
Priority: optional
Build-Depends: @cdbs@, debhelper (>= 10~)
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.6
Homepage: https://github.com/mysz/try-tiny-smartcatch
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libtry-tiny-smartcatch-perl.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libtry-tiny-smartcatch-perl.git
Testsuite: autopkgtest-pkg-perl

Package: libtry-tiny-smartcatch-perl
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${perl:Depends}
Description: lightweight Perl module for powerful exceptions handling
 Try::Tiny::SmartCatch's goals are mostly the same as Try::Tiny module,
 but there are few changes to it's specification.  Main difference is
 possibility to catch just some kinds of exceptions in place of catching
 everything.  Another one is slightly changed syntax.
 .
 When raised exception is an object, Try::Tiny::SmartCatch will test for
 exception type (using UNIVERSAL::isa).  When raised exception is just a
 text message (like "die ('message')"), there can be specified part of
 message to test for.
 .
 There are also explicit sub blocks.  In opposite to Try::Tiny, every
 block in Try::Tiny::SmartCatch's "try", "catch_when", "catch_default",
 "then" and "finally" must have explicit subroutines specified.
Multi-Arch: foreign
